MacDroid

Android data transfer app for macOS computers

Requires macOS 10.10 or newer; compatible with all Android and MTP devices